﻿@model GarageMaster.Models.AccountModels.UserEditModel

@{
    ViewData["Title"] = "Edit";
}

<h1>Изменение профиля</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit" asp-controller="Account" method="post" enctype="multipart/form-data">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Email" class="control-label"></label>
                <input asp-for="Email" class="form-control" value="@Model.Email" />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Surname" class="control-label"></label>
                <input asp-for="Surname" class="form-control" value="@Model.Surname" />
                <span asp-validation-for="Surname" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" value="@Model.Name" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NickName" class="control-label"></label>
                <input asp-for="NickName" class="form-control" value="@Model.NickName" />
                <span asp-validation-for="NickName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MobilePhone" class="control-label"></label>
                <input asp-for="MobilePhone" class="form-control" value="@Model.MobilePhone" />
                <span asp-validation-for="MobilePhone" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PhotoEdit" class="control-label"></label>
                <input asp-for="PhotoEdit" class="custom-checkbox" />
                <span asp-validation-for="PhotoEdit" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <input class="form-check-input" type="checkbox" style="transform:scale(1.5);" asp-for="RemovePhoto">
                <label class="form-check-label" asp-for="RemovePhoto"></label>
                <span asp-validation-for="RemovePhoto" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Сохранить" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="My" asp-controller="Account">Вернуться в профайл</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
